
--------   Library and Packages   -----------
library IEEE;
--use IEEE.STD_LOGIC_1164.ALL;
--------   Interface or Entity   ------------
entity comparator is
	port( 
		A, B : in bit;
		L, G, E : out bit
		);
end comparator;
--------   Architecture or Body  ------------
architecture Behavioral of comparator is
	signal A_not, B_not : bit;
begin

	G <= A and (not B);
	L <= (not A) and B;
	E <= A xnor B;

--	A_not <= NOT A;
--	B_not <= NOT B;
--	G <= A AND B_not;
--	L <= A_not AND B;
--	E <= A xnor B;

end Behavioral;

